Logs
API request logs (public API + MCP) and the workspace activity log.
List API request logs
/logsFilter with status, method, path, api_key_id, source, created_at.after / created_at.before, or any <field>.<condition>.
Try it with MCPAsk your agent to call list-request-logs (toolset logs)Set up MCP
Query parameters
pageintegerdefault: 1Page number
≥ 1
limitintegerdefault: 20Items per page (max 100)
1–100
sortstringcreated_atstatusduration_ms
orderstringascdesc
matchstringCombine filters with AND (default) or OR
allor
statusstringmethodstringpathstringapi_key_idstringsourcestringReturns object
objectstringrequiredlist
dataarray of objectrequiredShow 17 item attributes
objectstringrequest_log
idstringmethodstringpathstringroutestring | nulloperation_idstring | nullsourcestringapimcp
statusintegerduration_msinteger | nullapi_key_idstring | nulloauth_client_idstring | nullrequest_idstring | nullipstring | nulluser_agentstring | nullrequest_bodyobject | array of any | nullresponse_bodyobject | array of any | nullcreated_atstring (date-time) | nullpageintegerrequiredlimitintegerrequiredtotalinteger | nullhas_morebooleanrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
{
"object": "list",
"data": [
{
"object": "request_log",
"id": "string",
"method": "string",
"path": "string",
"route": "string",
"operation_id": "string",
"source": "api",
"status": 1,
"duration_ms": 1,
"api_key_id": "string",
"oauth_client_id": "string",
"request_id": "string",
"ip": "string",
"user_agent": "string",
"request_body": {},
"response_body": {},
"created_at": "2026-10-13T09:00:00.000Z"
}
],
"page": 1,
"limit": 1,
"total": 1,
"has_more": true,
"next_page_url": "https://example.com",
"previous_page_url": "https://example.com"
}Get an API request log
/logs/{id}Includes the (redacted) request and response bodies.
Try it with MCPAsk your agent to call get-request-log (toolset logs)Set up MCP
Path parameters
idstringrequiredrequestLog id (log_…)
1–80 characters
Returns object
objectstringrequest_log
idstringmethodstringpathstringroutestring | nulloperation_idstring | nullsourcestringapimcp
statusintegerduration_msinteger | nullapi_key_idstring | nulloauth_client_idstring | nullrequest_idstring | nullipstring | nulluser_agentstring | nullrequest_bodyobject | array of any | nullresponse_bodyobject | array of any | nullcreated_atstring (date-time) | nullResponses
{
"object": "request_log",
"id": "string",
"method": "string",
"path": "string",
"route": "string",
"operation_id": "string",
"source": "api",
"status": 1,
"duration_ms": 1,
"api_key_id": "string",
"oauth_client_id": "string",
"request_id": "string",
"ip": "string",
"user_agent": "string",
"request_body": {},
"response_body": {},
"created_at": "2026-10-13T09:00:00.000Z"
}List workspace activity
/activityAudit log of changes to workspace settings, members, API keys and webhooks.
Try it with MCPAsk your agent to call list-activity (toolset logs)Set up MCP
Query parameters
pageintegerdefault: 1Page number
≥ 1
limitintegerdefault: 20Items per page (max 100)
1–100
sortstringcreated_at
orderstringascdesc
matchstringCombine filters with AND (default) or OR
allor
actionstringactor_typestringtarget_typestringReturns object
objectstringrequiredlist
dataarray of objectrequiredShow 7 item attributes
objectstringactivity
idstringactorobjectShow 3 child attributes
typestringidstring | nullnamestring | nullactionstringtargetobject | nullShow 3 child attributes
typestringidstring | nullnamestring | nullmetadataobjectcreated_atstring (date-time) | nullpageintegerrequiredlimitintegerrequiredtotalinteger | nullhas_morebooleanrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
{
"object": "list",
"data": [
{
"object": "activity",
"id": "string",
"actor": {
"type": "string",
"id": "string",
"name": "string"
},
"action": "string",
"target": {
"type": "string",
"id": "string",
"name": "string"
},
"metadata": {},
"created_at": "2026-10-13T09:00:00.000Z"
}
],
"page": 1,
"limit": 1,
"total": 1,
"has_more": true,
"next_page_url": "https://example.com",
"previous_page_url": "https://example.com"
}